#
# spec file for package python3-testscenarios
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-testscenarios
Version:        0.5.0
Release:        1.1
Url:            https://launchpad.net/testscenarios
Summary:        Testscenarios, a pyunit extension for dependency injection
License:        Apache-2.0 or BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/testscenarios/testscenarios-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
# Causes dependency loop
# BuildRequires:  python3-testtools
Requires:       python3-pbr
Requires:       python3-testtools
BuildArch:      noarch

%description
testscenarios provides clean dependency injection for python unittest style
tests. This can be used for interface testing (testing many implementations via
a single test suite) or for classic dependency injection (provide tests with
dependencies externally to the test code itself, allowing easy testing in
different situations).

%prep
%setup -q -n testscenarios-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Tests introduce dependency loop with python3-testtools
# %check
# sed -i "s/PYTHON ?= python/PYTHON=python3/" Makefile
# make check

%files
%defattr(-,root,root,-)
%doc Apache-2.0 BSD COPYING GOALS HACKING NEWS README
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Wed Mar 16 2016 toddrme2178@gmail.com
- Break dependency loop with python3-testtools by disabling
  unit tests.
* Sat May  9 2015 arun@gmx.de
- specfile:
  * add python3-pbr
- update to version 0.5.0:
  * Tests fixed for Python 3.3, 3.4, 3.5. (Robert Collins)
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Mon May  6 2013 speilicke@suse.com
- Properly run testsuite
* Thu May  2 2013 speilicke@suse.com
- Initial version
